Mantis Bug Tracker

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0008412opensim[REGION] OpenSim Corepublic2018-11-25 18:102018-11-28 21:35
Reporterkenvc 
Assigned To 
PriorityimmediateSeveritycrashReproducibilityalways
StatusclosedResolutionfixed 
PlatformHP Xeon serverdual CPUs 32GB ramOSWindowsOS VersionServer 2012
Product Version0.9.0.1 
Target VersionFixed in Versionmaster (dev code) 
Summary0008412: Pulled new dev master code today and now every instance crashes on startup. Dev master from 5 days ago is just fine
DescriptionJust pulled new code from dev master repo for the first time in about 5 days, compiled, and updated, and now all sims crash on startup with the error message pasted in the Additional Information section below. Reverted back to the previous bin files and all is OK again.
Steps To ReproducePull latest dev master code as of today and it causes the crash below on every instance
Additional Information2018-11-25 19:29:25,895 FATAL Fatal error: System.Reflection.ReflectionTypeLoadException: Unable to load one or more of the requested types. Retrieve the LoaderExceptions property for more information.
   at System.Reflection.RuntimeModule.GetTypes(RuntimeModule module)
   at System.Reflection.Assembly.GetTypes()
   at OpenSim.Region.CoreModules.World.Terrain.TerrainModule.LoadPlugins(Assembly library) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev\OpenSim\Region\CoreModules\World\Terrain\TerrainModule.cs:line 628
   at OpenSim.Region.CoreModules.World.Terrain.TerrainModule.LoadPlugins() in c:\Users\Administrator\Desktop\Opensim\Opensim Dev\OpenSim\Region\CoreModules\World\Terrain\TerrainModule.cs:line 604
   at OpenSim.Region.CoreModules.World.Terrain.TerrainModule.AddRegion(Scene scene) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev\OpenSim\Region\CoreModules\World\Terrain\TerrainModule.cs:line 265
   at OpenSim.ApplicationPlugins.RegionModulesController.RegionModulesControllerPlugin.AddRegionToModules(Scene scene) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev\OpenSim\ApplicationPlugins\RegionModulesController\RegionModulesControllerPlugin.cs:line 429
   at OpenSim.OpenSimBase.CreateRegion(RegionInfo regionInfo, Boolean portadd_flag, Boolean do_post_init, IScene& mscene) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev\OpenSim\Region\Application\OpenSimBase.cs:line 452
   at OpenSim.OpenSimBase.CreateRegion(RegionInfo regionInfo, Boolean portadd_flag, IScene& scene) in c:\Users\Administrator\Desktop\Opensim\Opensim Dev\OpenSim\Region\Application\OpenSimBase.cs:line 387
   at OpenSim.ApplicationPlugins.LoadRegions.LoadRegionsPlugin.PostInitialise() in c:\Users\Administrator\Desktop\Opensim\Opensim Dev\OpenSim\ApplicationPlugins\LoadRegions\LoadRegionsPlugin.cs:line 130
   at OpenSim.OpenSimBase.StartupSpecific() in c:\Users\Administrator\Desktop\Opensim\Opensim Dev\OpenSim\Region\Application\OpenSimBase.cs:line 285
   at OpenSim.OpenSim.StartupSpecific() in c:\Users\Administrator\Desktop\Opensim\Opensim Dev\OpenSim\Region\Application\OpenSim.cs:line 211
   at OpenSim.Framework.Servers.BaseOpenSimServer.Startup() in c:\Users\Administrator\Desktop\Opensim\Opensim Dev\OpenSim\Framework\Servers\BaseOpenSimServer.cs:line 198
TagsNo tags attached.
Git Revision or version number11/25/2018 Dev Master
Run Mode Grid (Multiple Regions per Sim)
Physics EngineODE
Environment.NET / Windows64
Mono VersionNone
ViewerN/A
Attached Files

- Relationships

-  Notes
(0033555)
kenvc (reporter)
2018-11-28 16:55

I ended up completely erasing my local source code repo and pulling the code again and recompiling and now it seems fine. I normally just do a git update to avoid so much data transfer and that has always worked fine in the past. Still do not know what caused the problem, but I know what fixed it.
(0033556)
kenvc (reporter)
2018-11-28 16:56

I ended up completely erasing my local source code repo and pulling the code again and recompiling and now it seems fine. I normally just do a git update to avoid so much data transfer and that has always worked fine in the past. Still do not know what caused the problem, but I know what fixed it.

- Issue History
Date Modified Username Field Change
2018-11-25 18:10 kenvc New Issue
2018-11-28 16:55 kenvc Note Added: 0033555
2018-11-28 16:56 kenvc Note Added: 0033556
2018-11-28 16:56 kenvc Status new => resolved
2018-11-28 16:56 kenvc Fixed in Version => master (dev code)
2018-11-28 16:56 kenvc Resolution open => fixed
2018-11-28 16:56 kenvc Assigned To => kenvc
2018-11-28 21:35 BillBlight Status resolved => closed
2018-11-28 21:35 BillBlight Assigned To kenvc =>


Copyright © 2000 - 2012 MantisBT Group
Powered by Mantis Bugtracker